import {getBase64} from "@/common/common";
import {ref} from 'vue'
import load from "@/common/load";
import {Upload} from "ant-design-vue";

export default function (props) {


    let previewVisible = ref(false); //图片预览的模态框
    let previewImage = ref(null);  //图片预览的图
    let fileList = ref([]); //文件列表

    /*
    * 图片预览
    * */
    let handlePreview = async (file) => {
        if (!file.url && !file.preview) {
            file.preview = await getBase64(file.originFileObj);
        }
        previewImage.value = file.url || file.preview;
        previewVisible.value = true;
    };


    /*
    * 附件删除
    * */
    let fileRemove = async () => {
        /*判断是否是已经上传的文件*/
        return true;
    }


    /*
    * 文件检测
    * */
    let beforeUpload = (file) => {

        if (!props.size) return false;


        /*
        * 判断文件大小是否超出限制
        * */
        if ((file.size / 1024) > props.size) {
            load.error("单个文件大小最大不能超过" + Math.round(props.size / 1024, 2) + "M!");
            return Upload.LIST_IGNORE;
        }

        return false;


    }


    return {
        previewVisible,
        previewImage,
        handlePreview,
        fileList,
        fileRemove,
        beforeUpload
    }
}
