/*
* @author 友人a丶
* @date 
* 表格编辑和新增的配置
* */

import {onUnmounted, ref} from "vue";
import {store} from "@/common/common";


let share = {data: null}; //共享数据

export default function () {

    /*
    * 如果已经被初始化，直接返回
    * */
    if (share.data) {
        return share.data;
    }

    /* 释放数据 */
    onUnmounted(() => {
        share.data = null;
    });


    /*数据模板*/
    const need_add = store({
        username: null,
        password: null,
        role: 2,
        nickname: null,
        mobile: null
    });


    /*新用户添加模板*/
    const form_add = [
        {
            key: 'username',
            type: "input",
            label: "用户名",
            attr: {
                required: true,
                placeholder: "请输入用户名",
            }
        },
        {
            key: 'password',
            type: "input",
            label: "登录密码",
            attr: {
                required: true,
                placeholder: "请输入登录密码",
            }
        },
        {
            key: 'nickname',
            type: "input",
            label: "用户昵称",
            attr: {
                required: true,
                placeholder: "请输入用户昵称",
            }
        },
        {
            key: 'role',
            type: "select",
            label: "用户权限",
            attr: {
                placeholder: "请选择用户权限",
                required: true,
                options: [
                    {
                        label: "普通用户",
                        value: 2
                    },
                    {
                        label: "系统管理员",
                        value: 3
                    }
                ]
            }
        },
        {
            key: 'mobile',
            type: "input",
            label: "联系方式",
            attr: {
                placeholder: "请输入联系方式"
            }
        },
    ];


    /*数据模板*/
    const need_mod = store({});
    /*新用户添加模板*/
    const form_mod = [
        {
            key: 'username',
            type: "input",
            label: "用户名",
            attr: {
                readOnly: true,
                required: true,
                placeholder: "请输入用户名",
            }
        },
        {
            key: 'nickname',
            type: "input",
            label: "用户昵称",
            attr: {
                required: true,
                placeholder: "请输入用户昵称",
            }
        },
        {
            key: 'status',
            type: "select",
            label: "用户状态",
            attr: {
                placeholder: "请选择用户状态",
                required: true,
                options: [
                    {
                        label: "在职",
                        value: 1
                    },
                    {
                        label: "已离职",
                        value: 0
                    }
                ]
            }
        },
        {
            key: 'role',
            type: "select",
            label: "用户权限",
            attr: {
                placeholder: "请选择用户权限",
                required: true,
                options: [
                    {
                        label: "普通用户",
                        value: 2
                    },
                    {
                        label: "系统管理员",
                        value: 3
                    }
                ]
            }
        },
        {
            key: 'mobile',
            type: "input",
            label: "联系方式",
            attr: {
                placeholder: "请输入联系方式"
            }
        },
    ];


    /*数据模板*/
    const need_password = store({});


    /*新用户添加模板*/
    const form_password = [
        {
            key: 'username',
            type: "input",
            label: "用户名",
            attr: {
                readOnly: true,
                required: true,
                placeholder: "请输入用户名",
            }
        },
        {
            key: 'password',
            type: "input-password",
            label: "用户密码",
            attr: {
                required: true,
                placeholder: "请输入新的用户密码",
            }
        }
    ];

    const visible_add = ref(false); //是否显示修改框
    const visible_mod = ref(false); //是否显示修改框
    const visible_password = ref(false); //是否显示修改框


    /*
    * 记录数据
    * */
    share.data = {
        visible_add,
        visible_mod,
        visible_password,
        form_password,
        need_password,
        form_add,
        need_add,
        form_mod,
        need_mod
    }

    return share.data;

}