/*
* @author 友人a丶
* @date 
* 
* */
import initTable from "@/common/init-table";
import api from "@/service/api";
import {disabledDate, filterOptions} from "@/common/common";

export default function () {

    /*
    * 初始化表头
    * */

    /*
    * 初始化表头
    * */
    const columns = [
        {
            title: "文件ID",
            dataIndex: 'id',
            width: 50,
        },
        {
            title: "文件预览",
            dataIndex: 'file_url',
            width: 150,
        },
        {
            title: "文件大小",
            dataIndex: 'file_size',
            width: 150,
        },
        {
            title: "上传时间",
            dataIndex: 'upload_time',
            width: 150,
        },
        {
            title: "所属模型",
            dataIndex: 'mname',
            width: 150,
        },
        {
            title: "订单编号",
            dataIndex: 'order_id',
            width: 150,
        },
        {
            title: "上传用户",
            dataIndex: 'belong',
        },
        {
            title: "操作",
        }
    ];

    const table = initTable('Files-list-Table', columns, {
        id: null,
        model: null,
        nickname: null,
        goods: null,
        order_id: null,
        synced: 1
    }); //初始化表格

    /*
    * 接口列表
    * */
    const face = {
        list: api.files.list,
    };


    /*新用户添加模板*/
    const filter = [
        {
            key: 'id',
            type: "input",
            label: "文件ID",
            attr: {
                placeholder: "请输入文件ID",
            }
        },
        {
            key: 'order_id',
            type: "input",
            label: "订单编号",
            attr: {
                placeholder: "请输入订单编号",
            }
        },
        {
            key: 'synced',
            type: "select",
            label: "定制状态",
            attr: {
                options: [
                    {
                        label: "不限",
                        value: 1
                    },
                    {
                        label: "已定制",
                        value: 2
                    },
                    {
                        label: "未定制",
                        value: 3
                    }
                ],
                placeholder: "请选择定制状态",
            }
        },
        {
            key: 'goods',
            type: "select",
            label: "选择商品",
            data: api.common.goods,
            attr: {
                showSearch: true,
                filterOption: filterOptions,
                placeholder: "请选择商品",
            }
        },
        {
            key: 'model',
            type: "select",
            label: "选择模型",
            data: api.common.models + "?type=1",
            attr: {
                showSearch: true,
                filterOption: filterOptions,
                placeholder: "请选择模型",
            }
        },

        {
            key: 'nickname',
            type: "input",
            label: "用户昵称",
            attr: {
                placeholder: "请输入用户昵称",
            }
        },
        {
            key: 'upload_date',
            type: "range-picker",
            label: "上传时间",
            attr: {
                disabledDate: disabledDate
            }
        },
    ];

    return {
        face,
        table,
        filter
    };

}
