/*
* @author 友人a丶
* @date 
* 表格编辑和新增的配置
* */

import {onUnmounted, ref} from "vue";
import {filterOptions, store} from "@/common/common";
import {get_contents} from "@/service/requests";
import api from "@/service/api";

/*
* share实现共享操作数据
* */
let share = {data: null}; //共享数据

export default function () {

    /*
    * 如果已经被初始化，直接返回
    * */
    if (share.data) {
        return share.data;
    }

    /* 释放数据 */
    onUnmounted(() => {
        share.data = null;
    });


    /*数据模型*/
    const need_add = store({
        name: null, //分类名称
        file: null, //预览图
        cat: null,//所属分类
    });

    let cats = ref([]); //分类列表
    get_contents(api.common.cats, cats, 'value');


    /*新用户添加模型*/
    const form_add = [
        {
            key: 'name',
            type: "input",
            label: "素材名称",
            attr: {
                required: true,
                placeholder: "请输入素材名称",
            }
        },
        {
            key: 'cat',
            type: "select",
            label: "所属分类",
            attr: {
                options: cats,
                required: true,
                showSearch: true,
                filterOption: filterOptions,
                placeholder: "请选择所属分类",
            }
        },
    ];


    const visible_add = ref(false); //是否显示修改框
    const visible_mod = ref(false); //是否显示修改框


    /*
    * 记录数据
    * */
    share.data = {
        visible_add,
        visible_mod,
        form_add,
        need_add,
        cats,
        need_mod: store({})
    }

    return share.data;

}