/*
 * @author 友人a丶
 * @date
 * 表格编辑和新增的配置
 * */

import { onUnmounted, ref } from "vue";
import { store } from "@/common/common";

let share = { data: null }; //共享数据

export default function () {
  /*
   * 如果已经被初始化，直接返回
   * */
  if (share.data) {
    return share.data;
  }

  /* 释放数据 */
  onUnmounted(() => {
    share.data = null;
  });

  /*数据模型*/
  const need_add = store({
    name: null, //分类名称
    visible: null, //预览图
    goods: null, //所属商品
  });

  /*新用户添加模型*/

  const form_add = [
    {
      key: "type",
      type: "select",
      label: "分类类型",
      disabled: false,
      attr: {
        options: [
          {
            label: "贴纸",
            value: 1,
          },
          {
            label: "背景",
            value: 2,
          },
        ],
        required: true,
        placeholder: "请选择分类类型",
      },
    },
    {
      key: "name",
      type: "input",
      label: "分类名称",
      attr: {
        required: true,
        placeholder: "请输入素材分类名称",
      },
    },
    {
      key: "visible",
      type: "select",
      label: "是否展示",
      attr: {
        options: [
          {
            label: "在小程序上展示",
            value: 1,
          },
          {
            label: "不在小程序上展示",
            value: 0,
          },
        ],
        required: true,
        placeholder: "请选择是否展示",
      },
    },
  ];

  const form_edit = [{
    key: "name",
    type: "input",
    label: "分类名称",
    attr: {
      required: true,
      placeholder: "请输入素材分类名称",
    },
  },
  {
    key: "visible",
    type: "select",
    label: "是否展示",
    attr: {
      options: [
        {
          label: "在小程序上展示",
          value: 1,
        },
        {
          label: "不在小程序上展示",
          value: 0,
        },
      ],
      required: true,
      placeholder: "请选择是否展示",
    },
  }];

  const visible_add = ref(false); //是否显示修改框
  const visible_mod = ref(false); //是否显示修改框

  /*
   * 记录数据
   * */
  share.data = {
    visible_add,
    visible_mod,
    form_add,
    need_add,
    form_edit,
    need_mod: store({}),
  };

  return share.data;
}
