/*
* @author 友人a丶
* @date 
* 表格编辑和新增的配置
* */

import {onUnmounted, ref} from "vue";
import {store} from "@/common/common";
import {get_contents} from "@/service/requests";
import api from "@/service/api";


let share = {data: null}; //共享数据

export default function () {

    /*
    * 如果已经被初始化，直接返回
    * */
    if (share.data) {
        return share.data;
    }

    /* 释放数据 */
    onUnmounted(() => {
        share.data = null;
    });


    /*数据模板*/
    const need_add = store({
        name: null, //商品名
        preview: null, //预览图
        default: null,//默认模板
    });


    let assets = ref([]); //素材列表
    let models = ref([]);//模型列表

    get_contents(api.common.assets, assets, 'value');
    get_contents(api.common.models, models, 'value');

    /*新用户添加模板*/
    const form_add = [
        {
            key: 'name',
            type: "input",
            label: "商品名称",
            attr: {
                required: true,
                placeholder: "请输入商品名称",
            }
        },
        {
            key: 'preview',
            type: "select",
            label: "商品图标",
            attr: {
                options: assets,
                required: true,
                placeholder: "请选择商品图标",
            }
        },
        {
            key: 'default',
            type: "select",
            label: "默认模板",
            attr: {
                options: models,
                required: true,
                placeholder: "请选择默认模板",
            }
        },
    ];


    const visible_add = ref(false); //是否显示修改框
    const visible_mod = ref(false); //是否显示修改框


    /*
    * 记录数据
    * */
    share.data = {
        visible_add,
        visible_mod,
        form_add,
        need_add,
        need_mod: store({})
    }

    return share.data;

}