/*
 * @author 友人a丶
 * @date
 * 表格编辑和新增的配置
 * */

import { onUnmounted, ref } from "vue";
import { filterOptions, store } from "@/common/common";
import { get_contents } from "@/service/requests";
import api from "@/service/api";

let share = { data: null }; //共享数据

export default function () {
  /*
   * 如果已经被初始化，直接返回
   * */
  if (share.data) {
    return share.data;
  }

  /* 释放数据 */
  onUnmounted(() => {
    share.data = null;
  });

  /*数据物料*/
  const need_add = store({
    name: null, //分类名称
    var: null, //物料分类
  });

  let vars = ref([]); //分类列表
  get_contents(api.common.models, vars, "value");

  /*新用户添加物料*/
  const form_add = [
    {
      key: "name",
      type: "input",
      label: "物料名称",
      attr: {
        required: true,
        placeholder: "请输入物料名称",
      },
    },
    {
      key: "var",
      type: "select",
      label: "所属模型",
      attr: {
        options: vars,
        required: true,
        showSearch: true,
        filterOption: filterOptions,
        placeholder: "请选择所属模型",
      },
    },
    {
      key: "top",
      type: "input",
      label: "顶部偏移量",
      attr: {
        required: true,
        placeholder: "请输入顶部偏移量",
      },
    },
    {
      key: "left",
      type: "input",
      label: "左部偏移量",
      attr: {
        required: true,
        placeholder: "请输入左部偏移量",
      },
    },
  ];

  /*新用户添加物料*/
  const form_mod = [
    {
      key: "name",
      type: "input",
      label: "物料名称",
      attr: {
        required: true,
        placeholder: "请输入物料名称",
      },
    },
    {
      key: "top",
      type: "input",
      label: "顶部偏移量",
      attr: {
        required: true,
        placeholder: "请输入顶部偏移量",
      },
    },
    {
      key: "left",
      type: "input",
      label: "左部偏移量",
      attr: {
        required: true,
        placeholder: "请输入左部偏移量",
      },
    },
  ];

  const visible_add = ref(false); //是否显示修改框
  const visible_mod = ref(false); //是否显示修改框

  /*
   * 记录数据
   * */
  share.data = {
    visible_add,
    visible_mod,
    form_add,
    need_add,
    form_mod,
    vars,
    need_mod: store({}),
  };

  return share.data;
}
