/*
* @author 友人a丶
* @date 
* 表格编辑和新增的配置
* */

import {onUnmounted, ref} from "vue";
import {store} from "@/common/common";
import {get_contents} from "@/service/requests";
import api from "@/service/api";

let share = {data: null}; //共享数据

export default function () {

    /*
    * 如果已经被初始化，直接返回
    * */
    if (share.data) {
        return share.data;
    }

    /* 释放数据 */
    onUnmounted(() => {
        share.data = null;
    });


    /*数据模型*/
    const need_add = store({
        name: null, //分类名称
        visible: null, //预览图
        goods: null,//所属商品
    });

    let goods = ref([]); //商品列表
    get_contents(api.common.goods, goods, 'value');

    /*新用户添加模型*/
    const form_add = [
        {
            key: 'name',
            type: "input",
            label: "分类名称",
            attr: {
                required: true,
                placeholder: "请输入模型分类名称",
            }
        },
        {
            key: 'visible',
            type: "select",
            label: "是否展示",
            attr: {
                options: [
                    {
                        label: "在小程序上展示",
                        value: 1
                    },
                    {
                        label: "不在小程序上展示",
                        value: 0
                    }
                ],
                required: true,
                placeholder: "请选择是否展示",
            }
        },
        {
            key: 'goods',
            type: "select",
            label: "所属商品",
            attr: {
                options: goods,
                required: true,
                placeholder: "请选择所属商品",
            }
        },
    ];


    const visible_add = ref(false); //是否显示修改框
    const visible_mod = ref(false); //是否显示修改框


    /*
    * 记录数据
    * */
    share.data = {
        visible_add,
        visible_mod,
        form_add,
        need_add,
        goods,
        need_mod: store({})
    }

    return share.data;

}