/*
* @author 友人a丶
* @date 
* 
* */

import {inject} from "vue";
import load from "@/common/load";
import api from "@/service/api";
import axios from "axios";
import iniEdit from './edit';

export default function (props) {

    let table = inject("table"); //重载表格
    let share = iniEdit(); //获取所有表单和数据


    /**
     * 修改用户信息
     */
    let modify = () => {
        share.visible_mod.value = true;
        share.need_mod.$set(props.source.record);
    }


    /*
    * 删除指定用户
    * */
    let del = () => {

        load.confirm("确定删除该模型分类吗？", () => {
            /* 显示加载效果 */
            load.loading("加载中...");

            /* 开始请求 */
            axios.post(api.vars.del, {
                id: props.source.record.id
            }).then((res) => {
                /*
                * 判断请求结果
                * */
                if (res.data.code) {
                    load.success(res.data.errMsg);
                    table.loadData(); //刷新数据
                } else {
                    /* 弹出错误原因 */
                    load.error(res.data.errMsg);
                }
            }).catch((e) => {
                /* 弹出错误原因 */
                load.error(e.message);
            }).finally(() => {
                /* 关闭加载效果 */
                load.loaded();
            });

        })

    }

    return {
        modify,
        del
    }

}