/*
* @author 友人a丶
* @date 2022-07-11
* */


import load from "@/common/load";
import {login as toLogin} from "@/service/requests";
import {router} from "@/router";
import user from "@/stores/user";
import config from "@/config";
import {ref} from 'vue'

export default function () {

    /*
    * 用户信息
    * */
    let username = ref(localStorage.getItem('username') ? localStorage.getItem('username') : '');
    let password = ref(localStorage.getItem('password') ? localStorage.getItem('password') : '');

    let loading = ref(false);
    let userinfo = user();


    let mode = ref(1); //登录对象

    /*
    * 请求登录
    * */
    let login = async () => {


        if (username.value == '' || password.value == "") {
            load.loaded();
            load.error("用户名和密码不能为空！");
            return
        }

        load.loading("正在登录.......");
        loading.value = true;


        let result = await toLogin({
            username: username.value,
            password: password.value
        }, mode.value);


        /*判断登录结果*/
        if (result.code) {

            localStorage.setItem('username', username.value);
            localStorage.setItem('password', password.value)

            /*
            * 记录登录状态
            * */
            userinfo.save(result.data);
            /*
            * 跳转首页
            * */
            router.replace(config.index);


        } else {
            load.error(result.errMsg)
        }

        load.loaded();//隐藏加载
        loading.value = false;

    }


    return {
        username,
        password,
        login,
        loading,
        mode
    }

}