/*
 * @author 友人a丶
 * @date
 * 表格编辑和新增的配置
 * */

import { onUnmounted, ref } from "vue";
import { store } from "@/common/common";

let share = { data: null }; //共享数据

export default function () {
  /*
   * 如果已经被初始化，直接返回
   * */
  if (share.data) {
    return share.data;
  }

  /* 释放数据 */
  onUnmounted(() => {
    share.data = null;
  });

  /*数据模板*/
  const need_add = store({
    username: null,
    password: null,
    role: 2,
    nickname: null,
    mobile: null,
  });

  /*新用户添加模板*/
  const form_add = [
    {
      key: "name",
      type: "input",
      label: "店铺名",
      attr: {
        required: true,
        placeholder: "请输入用户名",
      },
    },
    {
      key: "address",
      type: "input",
      label: "店铺地址",
      attr: {
        required: true,
        placeholder: "请输入店铺地址",
      },
    },
    {
      key: "online",
      type: "select",
      label: "是否接受在线订单",
      attr: {
        placeholder: "请选择是否接受在线订单",
        required: true,
        options: [
          {
            label: "接受",
            value: 1,
          },
          {
            label: "拒绝",
            value: 2,
          },
        ],
      },
    },

    {
      key: "tel",
      type: "input",
      label: "联系方式",
      attr: {
        placeholder: "请输入联系方式",
      },
    },
  ];

  /*数据模板*/
  const need_mod = store({});
  /*新用户添加模板*/
  const form_mod = [
    {
      key: "name",
      type: "input",
      label: "店铺名",
      attr: {
        required: true,
        placeholder: "请输入用户名",
      },
    },
    {
      key: "address",
      type: "input",
      label: "店铺地址",
      attr: {
        required: true,
        placeholder: "请输入店铺地址",
      },
    },
    {
      key: "online",
      type: "select",
      label: "是否接受在线订单",
      attr: {
        placeholder: "请选择是否接受在线订单",
        required: true,
        options: [
          {
            label: "接受",
            value: 1,
          },
          {
            label: "拒绝",
            value: 2,
          },
        ],
      },
    },

    {
      key: "tel",
      type: "input",
      label: "联系方式",
      attr: {
        placeholder: "请输入联系方式",
      },
    },
  ];

  /*数据模板*/
  const need_password = store({});

  /*新用户添加模板*/
  const form_password = [
    {
      key: "username",
      type: "input",
      label: "用户名",
      attr: {
        readOnly: true,
        required: true,
        placeholder: "请输入用户名",
      },
    },
    {
      key: "password",
      type: "input-password",
      label: "用户密码",
      attr: {
        required: true,
        placeholder: "请输入新的用户密码",
      },
    },
  ];

  const visible_add = ref(false); //是否显示修改框
  const visible_mod = ref(false); //是否显示修改框
  const visible_password = ref(false); //是否显示修改框

  /*
   * 记录数据
   * */
  share.data = {
    visible_add,
    visible_mod,
    visible_password,
    form_password,
    need_password,
    form_add,
    need_add,
    form_mod,
    need_mod,
  };

  return share.data;
}
