# 路由设计：

每个路由项都有如下属性

* cache，代表页面是否缓存
* icon，菜单的图标
* role，页面权限
* blank，访问时是否新开窗口

# 四级路由

```
---- 登录页面
---- 系统页面（公共导航栏）
-------- 首页
-------- 推广
-------- 报表
-------- 资产
-------- 账户
-------- 工具
```

路由层级的问题。

顶部菜单在第一级，顶部+下方内容
侧边栏菜单，第二级，侧边栏+右侧内容
内容区域，顶部tab+下方内容

### 自动读取路由

getChildrens();会自动读取所有层级的路由

```
import {getChildrens} from '@/router/common'

export default function () {

    const children = getChildrens();

    return [
        {
            path: "tencent",
            meta: {
                role: 0,
                name: "腾讯广告",
                icon: 'AliwangwangOutlined'
            },
            children: children.腾讯广告.default
        }
    ];
}
```
